# Getting help with nat.jrcbrains

Thanks for using nat.jrcbrains. We're sorry if you're having trouble, but don't worry,
we're here to help! To get help as quickly as possible, please read the following:

## Search
The first thing is to see if anyone has had your problem before:

* Search the [nat-user google group](https://groups.google.com/forum/#!forum/nat-user).
* Search GitHub for [_issues_ with the nat.jrcbrains package](https://github.com/natverse/nat.jrcbrains/issues).
* Search GitHub for [issues across the whole natverse](https://github.com/search?q=user%3Anatverse&type=Issues) in case 
  the problem is with a related package. You can add your own terms to the search 
  in the search box in the top left of that page.

If that solves your problem, then great! 

## Known Problems
If you need more help with a known problem:

* If you found a relevant thread on the [nat-user google group](https://groups.google.com/forum/#!forum/nat-user):
  please reply to that. 
* If you found a GitHub issue:
  please reply to that with more details or just _like_ it (click on the emoji button and add a thumbs up) to let us know you're having trouble too. You'll need to a GitHub login for this.
* If you're not sure:
  ask a new question on the [nat-user google group](https://groups.google.com/forum/#!forum/nat-user)
  linking to what you have found.


## New Problems
If it looks like a new problem then:

* If you just have a question:
  please ask the [nat-user google group](https://groups.google.com/forum/#!forum/nat-user).
* If you need to report a *new* bug:
  please [file an issue](https://github.com/natverse/nat.jrcbrains/issues/new).
* If you're not sure:
  please just ask the [nat-user google group](https://groups.google.com/forum/#!forum/nat-user)! If your 
  problem _is_ a bug or a feature request, you can easily return here and 
  report it - and we may be able to point you to an existing report or workaround.

## Good Questions and Bug Reports

* Be specific
* Include the code that triggered the problem
* If at all possible, make a minimal **repr**oducible **ex**ample (a *reprex*)

It will be much easier for us to help if we can run a *reprex* on 
our own machine without your data. You might want to use sample data 
from a nat package to help, or refer to publicly available data online. 
You can use the [reprex](https://reprex.tidyverse.org/) package to help 
prepare a reprex. Read the [Get help!](https://www.tidyverse.org/help/)
section of the tidyverse site for more information.

*Thanks for your help!*
